OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - h -

- h : OrthogonalTileArea
- HandleBreakdown() : Vehicle
- HandleButtonClick() : Window
- HandleCaret() : Textbuf
- HandleCargoWaitingClick() : StationViewWindow
- HandleClick() : GoalListWindow
- HandleEditBoxKey() : Window
- HandleHeader() : NetworkHTTPSocketHandler
- HandleIncomingNetworkGameInfoGRFConfig() : NetworkUDPSocketHandler , ClientNetworkUDPSocketHandler
- HandleLoading() : Vehicle
- HandlePacket() : NetworkAdminSocketHandler , NetworkContentSocketHandler , NetworkGameSocketHandler
- HandlePathfindingResult() : Vehicle
- HandlePragma() : FileStringReader , StringReader
- HandleRefit() : LinkRefresher
- handlers : LinkGraphSchedule
- handles : Fio
- HandleUDPPacket() : NetworkUDPSocketHandler
- hangar_num : HangarTileTable
- hard_value : ScriptConfigItem
- has_2CC : GRFLoadedFeatures
- HAS_CARGO : LinkRefresher
- has_newhouses : GRFLoadedFeatures
- has_newindustries : GRFLoadedFeatures
- has_param_defaults : GRFConfig
- has_quit : NetworkSocketHandler
- HasAI() : AI
- HasArticulatedPart() : Vehicle
- HasCargoFor() : StationCargoList
- HasChainIndex() : NewGRFInspectWindow
- HasClientQuit() : NetworkSocketHandler
- HasCommonValidCargo() : IndustryCargoesWindow
- HasConnection() : CargoesField
- HasDemandLeft() : SymmetricScaler , AsymmetricScaler
- HasDepotOrder() : Vehicle
- HasEngineType() : Vehicle
- HasErrors() : LoadCheckData
- HasFace() : ErrorMessageData
- HasFreeBay() : RoadStop
- HasGame() : Game
- HasGrfIdentifier() : GRFIdentifier
- HasGUI() : VideoDriver_Dedicated , VideoDriver_Null , VideoDriver
- hash : MD5File
- hash_heads : StringData
- hash_next : LangString
- hash_tile_current : Vehicle
- hash_tile_next : Vehicle
- hash_tile_prev : Vehicle
- hash_viewport_next : Vehicle
- hash_viewport_prev : Vehicle
- HasHangar() : Airport
- HashStr() : StringData
- HasNewGrfs() : LoadCheckData
- HasPackets() : PacketWriter
- HasParent() : FontCache
- HasRating() : GoodsEntry
- HasRoom() : OutputBuffer
- HasScript() : ScriptConfig , ScriptScanner
- HasScriptCrashed() : Squirrel
- HasSendQueue() : NetworkTCPSocketHandler
- HasSet() : BaseMedia< Tbase_set >
- HasToUseGetSlopePixelZ() : RoadVehicle , Train
- HasTransfers() : CargoDataEntry
- HasTypeInformation() : StringParameters
- HasValidSpriteSets() : GrfProcessingState
- HasVariableParameter() : NewGRFInspectWindow
- HasVehicleEverTriedLoading() : GoodsEntry
- have_ratings : Town
- Hdr() : ByteBlob , FixedSizeArray< T, C >
- hdrEmpty : ByteBlob
- head : NWidgetContainer
- header : CargoesField , ByteBlob
- HeaderFileWriter() : HeaderFileWriter
- HeaderSize : FixedSizeArray< T, C >
- heading : AirportFTA , AirportFTAbuildup
- HeapifyDown() : CBinaryHeapT< T >
- HeapifyUp() : CBinaryHeapT< T >
- height : Sprite , VehicleCellSize , Blitter::BlitterParams , ViewPort , BmpInfo , Window , FontCache , Tile , ObjectSpec , LegendAndColour , SpriteLoader::Sprite , HeightMap , SmallMatrix< T >
- height_colours : SmallMapColourScheme
- height_colours_base : SmallMapColourScheme
- height_detailed : ErrmsgWindow
- height_ref : FenceOffset
- height_summary : ErrmsgWindow
- heightmap_rotation : GameCreationSettings
- HELICOPTERS : AirportFTAClass
- helper : NIFeature
- highest : ValuesInterval
- highest_value : SnowLine
- highlight_colour : NWidgetCore
- highlight_row : AIDebugWindow
- hook : IConsoleCmd
- Hop() : LinkRefresher::Hop
- HOR_CARGO_BORDER_SPACE : CargoesField
- HOR_CARGO_SPACE : CargoesField
- HOR_CARGO_WIDTH : CargoesField
- HOR_TEXT_PADDING : IndustryCargoesWindow
- horizontal_dimension : NWidgetScrollbar
- hostname : NetworkGameInfo , NetworkAddress
- Hotkey() : Hotkey
- HotkeyList() : HotkeyList
- hotkeys : WindowDesc
- house_id : HouseScopeResolver
- HouseResolverObject() : HouseResolverObject
- HousesCanAccept() : IndustryCargoesWindow
- HousesCanSupply() : IndustryCargoesWindow
- HouseScopeResolver() : HouseScopeResolver
- hover_delay_ms : GUISettings
- hovered_widget : DepotWindow
- hs : SearchNearbyHouseData
- hscroll : RefitWindow , TextfileWindow , DepotWindow
- http_response : ClientNetworkContentSocketHandler
- http_response_index : ClientNetworkContentSocketHandler
- HTTPReceive() : NetworkHTTPSocketHandler